package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "录制查询基础组件库")
public class RecordComTreeDto implements Serializable {

    /**
     * 主键
     */
    @ApiModelProperty("主键id")
    private String treeId;

    /**
     * 节点名称
     */
    @ApiModelProperty("节点名称")
    private String treeName;

    /**
     * 节点别名-中文名称
     */
    @ApiModelProperty("节点中文名")
    private String treeAlias;

    /**
     * 主键
     */
    @ApiModelProperty("是否叶子0-非1-是")
    private String isLeaf;

    /**
     * 主键
     */
    @ApiModelProperty("是否目录0-目录1-组件")
    private String isCom;

    /**
     * 主键
     */
    @ApiModelProperty("描述")
    private String memo;

    private String libraryName;
    /**
     * 使用状态0-可用1-禁用<br>
     */
    private Integer libraryStatus;

    /**
     * 主键
     */
    @ApiModelProperty("组件标志0-基础1-业务")
    private String comFlag;

    @ApiModelProperty("子节点")
    private List<RecordComTreeDto> childList;

    private List<RecordComParamDto> paramList;


    private String version;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(String isLeaf) {
        this.isLeaf = isLeaf;
    }

    public String getIsCom() {
        return isCom;
    }

    public void setIsCom(String isCom) {
        this.isCom = isCom;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getComFlag() {
        return comFlag;
    }

    public void setComFlag(String comFlag) {
        this.comFlag = comFlag;
    }

    public List<RecordComParamDto> getParamList() {
        return paramList;
    }

    public void setParamList(List<RecordComParamDto> paramList) {
        this.paramList = paramList;
    }

    public List<RecordComTreeDto> getChildList() {
        return childList;
    }

    public void setChildList(List<RecordComTreeDto> childList) {
        this.childList = childList;
    }

    public String getLibraryName() {
        return libraryName;
    }

    public void setLibraryName(String libraryName) {
        this.libraryName = libraryName;
    }

    public String getTreeAlias() {
        return treeAlias;
    }

    public void setTreeAlias(String treeAlias) {
        this.treeAlias = treeAlias;
    }

    public Integer getLibraryStatus() {
        return libraryStatus;
    }

    public void setLibraryStatus(Integer libraryStatus) {
        this.libraryStatus = libraryStatus;
    }
}
